<div [ngClass]="[className.header]">
  <div [ngClass]="jds.container">
    <ng-container *ngIf="isLoading">
      <div [ngClass]="[jds.py(40)]">
        <div
          class="wrapper-skeleton"
          *ngFor="let number of [80, 40]"
        >
          <ngx-skeleton-loader
            [theme]="{
              width: number + '%',
              'border-radius': '0',
              height: '22px',
              'margin-bottom': '0'
            }"
          />
        </div>
      </div>
    </ng-container>

    <ng-container *ngIf="!isLoading">
      <ng-container *ngIf="data">
        <div
          [ngClass]="[jds.d('flex'), jds.alignItems('center'), jds.py(40)]"
          [style.gap.px]="48"
        >
          <img
            *ngIf="data.logo !== null; else imgempty"
            [style.objectFit]="'contain'"
            [alt]="data.nama_skpd"
            [src]="env.backendURL + data.logo"
            height="160"
            width="160"
            loading="lazy"
          />
          <ng-template #imgempty>
            <img
              [alt]="data.nama_skpd"
              src="http://placehold.it/160x160"
            />
          </ng-template>
          <div [style.width.%]="70">
            <h5 [ngClass]="jds.mb(16)">{{ data.nama_skpd }}</h5>
            <p
              *ngIf="data.description !== null"
              [ngClass]="[jds.text('#757575'), jds.mb(16)]"
            >
              {{ data.description }}
            </p>

            <div [ngClass]="[jds.d('flex'), jds.fs(16), jds.text('#757575')]">
              <div
                *ngIf="data.media_website"
                [ngClass]="[
                  jds.d('flex'),
                  jds.alignItems('center'),
                  jds.me(16)
                ]"
              >
                <jds-bi-icon
                  [ngClass]="[jds.me(6)]"
                  name="globe"
                />
                <span>
                  {{ data.media_website || '-' }}
                </span>
              </div>

              <div
                *ngIf="data.phone"
                [ngClass]="[
                  jds.d('flex'),
                  jds.alignItems('center'),
                  jds.me(16)
                ]"
              >
                <jds-bi-icon
                  [ngClass]="[jds.me(6)]"
                  name="phone"
                />
                <span>
                  {{ data.phone || '-' }}
                </span>
              </div>

              <div
                *ngIf="data.email"
                [ngClass]="[
                  jds.d('flex'),
                  jds.alignItems('center'),
                  jds.me(16)
                ]"
              >
                <jds-bi-icon
                  [ngClass]="[jds.me(6)]"
                  name="envelope"
                />
                <span>
                  {{ data.email || '-' }}
                </span>
              </div>
            </div>
          </div>
        </div>
      </ng-container>
    </ng-container>
  </div>
</div>
